<?php
function bcheck_settings_form() {
  $form['bcheck_appid'] = array(
    '#type' => 'textfield',
    '#title' => t('APP ID'),
    '#default_value' => variable_get('bcheck_appid'),
    '#required' => TRUE,
  );
  $form['bcheck_secret_key'] = array(
    '#type' => 'textfield',
    '#title' => t('Secret Key'),
    '#default_value' => variable_get('bcheck_secret_key'),
    '#required' => TRUE,
  );
  $form['bcheck_cashier'] = array(
    '#type' => 'textfield',
    '#title' => t('Cashier name'),
    '#default_value' => variable_get('bcheck_cashier'),
    '#required' => TRUE,
  );
  $form['phone'] = array(
    '#type' => 'fieldset',
    '#collapsible' => FALSE,
    '#title' => t('Phone number'),
    '#tree' => FALSE,
  );
  $form['phone']['bcheck_phone_number_field'] = array(
    '#type' => 'textfield',
    '#required' => TRUE,
    '#title' => t('Phone number field token'),
    '#title_display' => 'invisible',
    '#default_value' => variable_get('bcheck_phone_number_field'),
  );

  $form['phone']['token_help'] = array(
    '#theme' => 'token_tree_link',
    '#token_types' => array('commerce-order'),
  );

  return system_settings_form($form);
}